Bug 1031423 - No system /etc/xattr.conf provided to exclude copying certain extended attributes
No system /etc/xattr.conf provided to exclude copying certain extended attrib...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: attr (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 13:49 EST by Pádraig Brady
Modified: 2016-01-04 09:42 EST (History)
1 user (show)

See Also:
Fixed In Version: attr-2.4.47-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 10:04:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample xattr.conf from http://marc.info/?l=linux-xfs&m=119359384800408 (853 bytes, text/plain)
2013-11-17 13:49 EST, Pádraig Brady
no flags Details

  None (edit)
Description Pádraig Brady 2013-11-17 13:49:04 EST
Created attachment 825281 [details]
sample xattr.conf from http://marc.info/?l=linux-xfs&m=119359384800408

I noticed that cp and mv with --preserve=xattr will copy system.posix_acl_access extended attributes, which can have side effects with permissions.
This is a little surprising and divergent from other systems that provide the attaced /etc/xattr.conf

There is also security.selinux extended attributes to consider here.
It might be argued that they might be excluded from such copies also,
given that they're otherwise handled by cp and mv at least.
Comment 1 Kamil Dudka 2013-11-18 12:20:45 EST
I have asked upstream to include the file into their distribution of attr:

http://lists.nongnu.org/archive/html/acl-devel/2013-11/msg00007.html
Comment 2 Kamil Dudka 2013-11-19 08:44:26 EST
upstream commit:

http://git.savannah.gnu.org/cgit/attr.git/commit/?id=fe92f96a
Comment 3 Kamil Dudka 2013-11-19 10:04:30 EST
fixed in attr-2.4.47-4.fc21

Note You need to log in before you can comment on or make changes to this bug.